aboutsummaryrefslogtreecommitdiffstats
path: root/vorlesungen/setup
diff options
context:
space:
mode:
authorAndreas Müller <andreas.mueller@othello.ch>2021-02-25 12:53:08 +0100
committerAndreas Müller <andreas.mueller@othello.ch>2021-02-25 12:53:08 +0100
commit0df3581aa0b48f62059b8822febd11b8c112c6d9 (patch)
treeb12f596de7d1e72ed723c84b9017bb07c8e6c9a8 /vorlesungen/setup
parentRing (diff)
downloadSeminarMatrizen-0df3581aa0b48f62059b8822febd11b8c112c6d9.tar.gz
SeminarMatrizen-0df3581aa0b48f62059b8822febd11b8c112c6d9.zip
add missing files
Diffstat (limited to 'vorlesungen/setup')
-rw-r--r--vorlesungen/setup35
1 files changed, 35 insertions, 0 deletions
diff --git a/vorlesungen/setup b/vorlesungen/setup
new file mode 100644
index 0000000..a6f5539
--- /dev/null
+++ b/vorlesungen/setup
@@ -0,0 +1,35 @@
+#! /bin/bash
+#
+# setup -- prepare a new topic
+#
+if [ $# -lt 2 ]
+then
+ echo "not enough arguments"
+ echo "usage: setup number topic"
+ echo "Files will be in <number>_<topic>, <topic>-handout, MathSem-<number>-<topic>.tex"
+ exit 1
+fi
+
+topic=${2}
+number=`printf %02d ${1}`
+directory=${number}_${topic}
+
+if [ -d ${directory} ]
+then
+ echo ${directory} already exists
+ exit 1
+fi
+
+mkdir ${directory}
+
+cp 00_template/common.tex ${directory}
+cp 00_template/slides.tex ${directory}
+
+sed -e "s/xxx/${topic}/g" -e "s/yyy/${number}/g" 00_template/Makefile \
+ > ${directory}/Makefile
+sed -e "s/xxx/${topic}/g" -e "s/yyy/${number}/g" 00_template/handout.tex \
+ > ${directory}/${topic}-handout.tex
+sed -e "s/xxx/${topic}/g" -e "s/yyy/${number}/g" 00_template/presentation.tex \
+ > ${directory}/MathSem-${number}-${topic}.tex
+
+